<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behave Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classETHMONITOR2.html">ETHMONITOR2</a></li><li class="navelem"><a class="el" href="classETHMONITOR2_1_1behave.html">behave</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behave Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classETHMONITOR2_1_1behave-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a241973191b16e100d86c78e4af68de6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a241973191b16e100d86c78e4af68de6c"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a241973191b16e100d86c78e4af68de6c">PROCESS_999</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae2aeb1811985c0727c7ab4f11c63f48f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2aeb1811985c0727c7ab4f11c63f48f"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#ae2aeb1811985c0727c7ab4f11c63f48f">PROCESS_1000</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6d15b6c9bff379d251a43aa86bbb0e9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d15b6c9bff379d251a43aa86bbb0e9a"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a6d15b6c9bff379d251a43aa86bbb0e9a">PROCESS_1001</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a065256de0c6ed683ee7a6d417785bd60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a065256de0c6ed683ee7a6d417785bd60"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a065256de0c6ed683ee7a6d417785bd60">PROCESS_1002</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">rgmii_mode</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">mii_mode</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ethernet_speed</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk_div2</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af72206fd944282d26fed2af13d95cb95"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af72206fd944282d26fed2af13d95cb95"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#af72206fd944282d26fed2af13d95cb95">PROCESS_1408</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1ef374ac0b48dba3ada2ce43374a48b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ef374ac0b48dba3ada2ce43374a48b3"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a1ef374ac0b48dba3ada2ce43374a48b3">PROCESS_1409</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a71f317feb12e1ba1520f66fd962a7e5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71f317feb12e1ba1520f66fd962a7e5b"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a71f317feb12e1ba1520f66fd962a7e5b">PROCESS_1410</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a66c2fc6c4187d5cb9b4d2a1149d4fdfd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66c2fc6c4187d5cb9b4d2a1149d4fdfd"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a66c2fc6c4187d5cb9b4d2a1149d4fdfd">PROCESS_1411</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">rgmii_mode</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">mii_mode</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ethernet_speed</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk_div2</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:aed7d20fe6053091a54b2a941ac5c367c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed7d20fe6053091a54b2a941ac5c367c"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#aed7d20fe6053091a54b2a941ac5c367c">ETHMONITOR</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classETHMONITOR.html">&lt;Entity ETHMONITOR&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ac42ae09de5e97c29ccce0a851912f40a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac42ae09de5e97c29ccce0a851912f40a"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#ac42ae09de5e97c29ccce0a851912f40a">clk_div2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0af1aa252e8b2139307f5f09820a36a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0af1aa252e8b2139307f5f09820a36a8"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a0af1aa252e8b2139307f5f09820a36a8">gmii_clk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa21d8650eee27d25ca32d465d11325ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa21d8650eee27d25ca32d465d11325ce"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#aa21d8650eee27d25ca32d465d11325ce">gmii_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa8ec7a2fd4860f80009b4041673216ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8ec7a2fd4860f80009b4041673216ad"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#aa8ec7a2fd4860f80009b4041673216ad">gmii_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a356721a85add04731c9684f541cbc1ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a356721a85add04731c9684f541cbc1ce"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a356721a85add04731c9684f541cbc1ce">gmii_er</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a74523a8fa010c7275231ab46e2827e3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74523a8fa010c7275231ab46e2827e3c"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a74523a8fa010c7275231ab46e2827e3c">rgmii_d_f</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8d7f629388171a85d395b7b1a2f814c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d7f629388171a85d395b7b1a2f814c1"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a8d7f629388171a85d395b7b1a2f814c1">rgmii_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a605f8a51188de9c39bbff3b01902c738"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a605f8a51188de9c39bbff3b01902c738"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a605f8a51188de9c39bbff3b01902c738">rgmii_en_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa9d4dca2d8d84d4fda312ae41df2262f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9d4dca2d8d84d4fda312ae41df2262f"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#aa9d4dca2d8d84d4fda312ae41df2262f">rgmii_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a81244a0a54ea84789477400afb55a9bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81244a0a54ea84789477400afb55a9bc"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a81244a0a54ea84789477400afb55a9bc">rgmii_er</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1acff10bd5db1c306007b7f28694a8c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1acff10bd5db1c306007b7f28694a8c1"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a1acff10bd5db1c306007b7f28694a8c1">rgmii_10_100_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa647c1b64cebdfae94965ed8b69871d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa647c1b64cebdfae94965ed8b69871d5"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#aa647c1b64cebdfae94965ed8b69871d5">rgmii_10_100_d_lo</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adba92f0d36b37ee0033c49cd36caecf6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adba92f0d36b37ee0033c49cd36caecf6"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#adba92f0d36b37ee0033c49cd36caecf6">rgmii_hi</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a170ac279140d7fbcbef3bbee4aacf21b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a170ac279140d7fbcbef3bbee4aacf21b"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a170ac279140d7fbcbef3bbee4aacf21b">rgmii_en_10_100_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6c4c3ad8539781b472f04e126d5fca91"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c4c3ad8539781b472f04e126d5fca91"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a6c4c3ad8539781b472f04e126d5fca91">mii_d_lo</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adfa9ed796cc0dd58bc88f9460a570ff4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adfa9ed796cc0dd58bc88f9460a570ff4"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#adfa9ed796cc0dd58bc88f9460a570ff4">mii_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a233bcc58e1a73f4ddaf3fbb84718e977"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a233bcc58e1a73f4ddaf3fbb84718e977"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a233bcc58e1a73f4ddaf3fbb84718e977">mii_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a953f7e0426dc3872c46ee2f84ad0f63c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a953f7e0426dc3872c46ee2f84ad0f63c"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a953f7e0426dc3872c46ee2f84ad0f63c">mii_er</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af68adf0a036e23ce48a727f3407aaa51"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af68adf0a036e23ce48a727f3407aaa51"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#af68adf0a036e23ce48a727f3407aaa51">mii_hi</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a17fdae0e0b7778a951311acd8ea13741"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17fdae0e0b7778a951311acd8ea13741"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a17fdae0e0b7778a951311acd8ea13741">frm_rcvd_mon</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad24bc542abed3eb17fa4a86e20dd5ed7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad24bc542abed3eb17fa4a86e20dd5ed7"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#ad24bc542abed3eb17fa4a86e20dd5ed7">frm_rcvd_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a62a38685842c606f6e876ad4d0266401"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62a38685842c606f6e876ad4d0266401"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a62a38685842c606f6e876ad4d0266401">GMII_MON</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>ETHMONITOR</b>  <em><a class="el" href="classETHMONITOR.html">&lt;Entity ETHMONITOR&gt;</a></em></td></tr>
<tr class="memitem:a62a38685842c606f6e876ad4d0266401"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62a38685842c606f6e876ad4d0266401"></a>
<a class="el" href="classETHMONITOR2_1_1behave.html#a62a38685842c606f6e876ad4d0266401">GMII_MON</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>ETHMONITOR</b>  <em><a class="el" href="classETHMONITOR.html">&lt;Entity ETHMONITOR&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon2_8vhd_source.html#l00108">108</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon2_8vhd_source.html">ethmon2.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon2_8vhd_source.html">ethmon2.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2ethmon2_8vhd_source.html">ethmon2.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
